org.apache.storm

## Class Constants

- java.lang.Object
- - org.apache.storm.Constants

-     public class Constants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMON_CPU_RESOURCE_NAME`
    `static String` | `COMMON_OFFHEAP_MEMORY_RESOURCE_NAME`
    `static String` | `COMMON_ONHEAP_MEMORY_RESOURCE_NAME`
    `static String` | `COMMON_TOTAL_MEMORY_RESOURCE_NAME`
    `static String` | `COMPONENT_TO_DEBUG_ATOM`
    `static String` | `COMPONENT_TO_SORTED_TASKS`
    `static String` | `COMPONENT_TO_STREAM_TO_FIELDS`
    `static String` | `CONF`
    `static String` | `COORDINATED_STREAM_ID`
    `static String` | `DEFAULT_SHARED_RESOURCES`
    `static String` | `EXECUTOR_RECEIVE_QUEUE_MAP`
    `static Object` | `LOAD_MAPPING`
    `static String` | `METRICS_COMPONENT_ID_PREFIX`
    `static String` | `METRICS_STREAM_ID`
    `static String` | `METRICS_TICK_STREAM_ID`
    `static String` | `NIMBUS_SEND_ASSIGNMENT_EXCEPTIONS`
    `static String` | `PORT`
    `static String` | `STORM_ACTIVE_ATOM`
    `static String` | `STORM_CONF`
    `static String` | `STORM_ID`
    `static String` | `SUICIDE_FN`
    `static String` | `SUPERVISOR_HEALTH_CHECK_TIMEOUTS`
    `static String` | `SYSTEM_COMPONENT_ID`
    `static List<Long>` | `SYSTEM_EXECUTOR_ID`
    `static String` | `SYSTEM_FLUSH_STREAM_ID`
    `static long` | `SYSTEM_TASK_ID`
    `static String` | `SYSTEM_TICK_STREAM_ID`
    `static String` | `SYSTEM_TOPOLOGY`
    `static String` | `TASK_IDS`
    `static String` | `TASK_TO_COMPONENT`
    `static Object` | `TOPOLOGY`
    `static String` | `TRANSFER_FN`
    `static String` | `USER_SHARED_RESOURCES`
    `static String` | `USER_TIMER`
    `static String` | `WORKER_ID`
    `static String` | `WORKER_METRICS_REGISTRY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COORDINATED_STREAM_ID

          public static final String COORDINATED_STREAM_ID

    - #### SYSTEM_TASK_ID

          public static final long SYSTEM_TASK_ID

      See Also:
        Constant Field Values

    - #### SYSTEM_EXECUTOR_ID

          public static final List<Long> SYSTEM_EXECUTOR_ID

    - #### SYSTEM_COMPONENT_ID

          public static final String SYSTEM_COMPONENT_ID

      See Also:
        Constant Field Values

    - #### SYSTEM_TICK_STREAM_ID

          public static final String SYSTEM_TICK_STREAM_ID

      See Also:
        Constant Field Values

    - #### SYSTEM_FLUSH_STREAM_ID

          public static final String SYSTEM_FLUSH_STREAM_ID

      See Also:
        Constant Field Values

    - #### METRICS_COMPONENT_ID_PREFIX

          public static final String METRICS_COMPONENT_ID_PREFIX

      See Also:
        Constant Field Values

    - #### METRICS_STREAM_ID

          public static final String METRICS_STREAM_ID

      See Also:
        Constant Field Values

    - #### METRICS_TICK_STREAM_ID

          public static final String METRICS_TICK_STREAM_ID

      See Also:
        Constant Field Values

    - #### TOPOLOGY

          public static final Object TOPOLOGY

    - #### SYSTEM_TOPOLOGY

          public static final String SYSTEM_TOPOLOGY

      See Also:
        Constant Field Values

    - #### STORM_CONF

          public static final String STORM_CONF

      See Also:
        Constant Field Values

    - #### STORM_ID

          public static final String STORM_ID

      See Also:
        Constant Field Values

    - #### WORKER_ID

          public static final String WORKER_ID

      See Also:
        Constant Field Values

    - #### CONF

          public static final String CONF

      See Also:
        Constant Field Values

    - #### PORT

          public static final String PORT

      See Also:
        Constant Field Values

    - #### TASK_TO_COMPONENT

          public static final String TASK_TO_COMPONENT

      See Also:
        Constant Field Values

    - #### COMPONENT_TO_SORTED_TASKS

          public static final String COMPONENT_TO_SORTED_TASKS

      See Also:
        Constant Field Values

    - #### COMPONENT_TO_STREAM_TO_FIELDS

          public static final String COMPONENT_TO_STREAM_TO_FIELDS

      See Also:
        Constant Field Values

    - #### TASK_IDS

          public static final String TASK_IDS

      See Also:
        Constant Field Values

    - #### DEFAULT_SHARED_RESOURCES

          public static final String DEFAULT_SHARED_RESOURCES

      See Also:
        Constant Field Values

    - #### USER_SHARED_RESOURCES

          public static final String USER_SHARED_RESOURCES

      See Also:
        Constant Field Values

    - #### USER_TIMER

          public static final String USER_TIMER

      See Also:
        Constant Field Values

    - #### TRANSFER_FN

          public static final String TRANSFER_FN

      See Also:
        Constant Field Values

    - #### SUICIDE_FN

          public static final String SUICIDE_FN

      See Also:
        Constant Field Values

    - #### EXECUTOR_RECEIVE_QUEUE_MAP

          public static final String EXECUTOR_RECEIVE_QUEUE_MAP

      See Also:
        Constant Field Values

    - #### STORM_ACTIVE_ATOM

          public static final String STORM_ACTIVE_ATOM

      See Also:
        Constant Field Values

    - #### COMPONENT_TO_DEBUG_ATOM

          public static final String COMPONENT_TO_DEBUG_ATOM

      See Also:
        Constant Field Values

    - #### LOAD_MAPPING

          public static final Object LOAD_MAPPING

    - #### COMMON_CPU_RESOURCE_NAME

          public static final String COMMON_CPU_RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### COMMON_ONHEAP_MEMORY_RESOURCE_NAME

          public static final String COMMON_ONHEAP_MEMORY_RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### COMMON_OFFHEAP_MEMORY_RESOURCE_NAME

          public static final String COMMON_OFFHEAP_MEMORY_RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### COMMON_TOTAL_MEMORY_RESOURCE_NAME

          public static final String COMMON_TOTAL_MEMORY_RESOURCE_NAME

      See Also:
        Constant Field Values

    - #### NIMBUS_SEND_ASSIGNMENT_EXCEPTIONS

          public static final String NIMBUS_SEND_ASSIGNMENT_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### SUPERVISOR_HEALTH_CHECK_TIMEOUTS

          public static final String SUPERVISOR_HEALTH_CHECK_TIMEOUTS

      See Also:
        Constant Field Values

    - #### WORKER_METRICS_REGISTRY

          public static final String WORKER_METRICS_REGISTRY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2021 The Apache Software Foundation. All rights reserved.